Dependencies for LambdaHack-0.9.3.1

library
LambdaHack

Flags

NameDescriptionDefaultType
vty

switch to the vty frontend (screen reader friendly)

DisabledManual
curses

switch to the curses frontend (not fully supported)

DisabledManual
gtk

switch to the GTK frontend (not fully supported)

DisabledManual
sdl

switch to the SDL2 frontend

DisabledManual
jsaddle

switch to the JSaddle frontend (may be bit-rotted)

DisabledManual
with_expensive_assertions

turn on expensive assertions of well-tested code

DisabledManual
release

prepare for a release (expose internal functions and types, etc.)

EnabledManual
supportnodejs

compile so that the JS blob works in terminal with NodeJS

EnabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info